Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGTestsSupport

    java.lang.Object
      org.apache.batik.dom.svg.SVGTestsSupport

public class SVGTestsSupport
extends java.lang.Object

This class provides support for SVGTests features.

Constructor Summary
`SVGTestsSupport()` Creates a new SVGTestsSupport object.

Method Summary
`static SVGStringList` | `getRequiredExtensions(org.w3c.dom.Element elt)` To implements `SVGTests.getRequiredExtensions()`.
`static SVGStringList` | `getRequiredFeatures(org.w3c.dom.Element elt)` To implements `SVGTests.getRequiredFeatures()`.
`static SVGStringList` | `getSystemLanguage(org.w3c.dom.Element elt)` To implements `SVGTests.getSystemLanguage()`.
`static boolean` | `hasExtension(org.w3c.dom.Element elt, java.lang.String extension)` To implements `SVGTests.hasExtension(String)`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGTestsSupport

    public SVGTestsSupport()

  Creates a new SVGTestsSupport object.

Method Detail

### getRequiredFeatures

    public static SVGStringList getRequiredFeatures(org.w3c.dom.Element elt)

  To implements `SVGTests.getRequiredFeatures()`.

### getRequiredExtensions

    public static SVGStringList getRequiredExtensions(org.w3c.dom.Element elt)

  To implements `SVGTests.getRequiredExtensions()`.

### getSystemLanguage

    public static SVGStringList getSystemLanguage(org.w3c.dom.Element elt)

  To implements `SVGTests.getSystemLanguage()`.

### hasExtension

    public static boolean hasExtension(org.w3c.dom.Element elt,
                                       java.lang.String extension)

  To implements `SVGTests.hasExtension(String)`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.